/// <reference types="node" />
import type { Address } from "@nomicfoundation/ethereumjs-util";
import type { EVMResult, Message } from "./types";
export interface MinimalInterpreterStep {
    pc: number;
    depth: number;
    opcode: {
        name: string;
    };
    stack: bigint[];
}
declare function onEvent(event: "step", cb: (step: MinimalInterpreterStep, next: any) => Promise<void>): void;
declare function onEvent(event: "beforeMessage", cb: (step: Message, next: any) => Promise<void>): void;
declare function onEvent(event: "afterMessage", cb: (step: EVMResult, next: any) => Promise<void>): void;
/**
 * Used by the node to keep the `_vm` variable used by some plugins. This
 * interface only has the things used by those plugins.
 */
export interface MinimalEthereumJsVm {
    evm: {
        events: {
            on: typeof onEvent;
        };
    };
    stateManager: {
        putContractCode: (address: Address, code: Buffer) => Promise<void>;
        getContractStorage: (address: Address, slotHash: Buffer) => Promise<Buffer>;
        putContractStorage: (address: Address, slotHash: Buffer, slotValue: Buffer) => Promise<void>;
    };
}
export {};
/**
 * Creates a proxy for the given object that throws if a property is accessed
 * that is not in the original object. It also works for nested objects.
 */
//# sourceMappingURL=proxy-vm.d.ts.map